package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc车辆信息对象 cmc_car
 *
 * @author cmc
 * @date 2024-03-05
 */
public class CmcCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆id */
    private Integer carId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String licensePlate;

    /** 驾驶员（常用） */
    @Excel(name = "驾驶员")
    private Long driver;

    /** 购置时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "购置时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acquisitionTime;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal cost;

    /** 预计使用年限 */
    @Excel(name = "预计使用年限")
    private Integer expectLife;

    /** 车系 */
    @Excel(name = "车系")
    private String series;

    /** 车级 */
    @Excel(name = "车级")
    private String level;

    /** 是否为租车 */
    @Excel(name = "是否为租车")
    private String isRent;

    /** 单日成本 */
    @Excel(name = "单日成本")
    private BigDecimal dayCost;

    public void setCarId(Integer carId)
    {
        this.carId = carId;
    }

    public Integer getCarId()
    {
        return carId;
    }
    public void setLicensePlate(String licensePlate)
    {
        this.licensePlate = licensePlate;
    }

    public String getLicensePlate()
    {
        return licensePlate;
    }
    public void setDriver(Long driver)
    {
        this.driver = driver;
    }

    public Long getDriver()
    {
        return driver;
    }
    public void setAcquisitionTime(Date acquisitionTime)
    {
        this.acquisitionTime = acquisitionTime;
    }

    public Date getAcquisitionTime()
    {
        return acquisitionTime;
    }
    public void setCost(BigDecimal cost)
    {
        this.cost = cost;
    }

    public BigDecimal getCost()
    {
        return cost;
    }
    public void setExpectLife(Integer expectLife)
    {
        this.expectLife = expectLife;
    }

    public Integer getExpectLife()
    {
        return expectLife;
    }
    public void setSeries(String series)
    {
        this.series = series;
    }

    public String getSeries()
    {
        return series;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setIsRent(String isRent)
    {
        this.isRent = isRent;
    }

    public String getIsRent()
    {
        return isRent;
    }
    public void setDayCost(BigDecimal dayCost)
    {
        this.dayCost = dayCost;
    }

    public BigDecimal getDayCost()
    {
        return dayCost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("carId", getCarId())
                .append("licensePlate", getLicensePlate())
                .append("driver", getDriver())
                .append("acquisitionTime", getAcquisitionTime())
                .append("cost", getCost())
                .append("expectLife", getExpectLife())
                .append("series", getSeries())
                .append("level", getLevel())
                .append("isRent", getIsRent())
                .append("dayCost", getDayCost())
                .toString();
    }
}
