package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc设备信息对象 cmc_device
 * 
 * @author cmc
 * @date 2024-03-05
 */
public class CmcDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Integer deviceId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String code;

    /** 设备类别 */
    @Excel(name = "设备类别")
    private String type;

    /** 购置时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "购置时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acquisitionTime;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal cost;

    /** 预计使用年限 */
    @Excel(name = "预计使用年限")
    private Integer expectLife;

    /** 设备系列 */
    @Excel(name = "设备系列")
    private String series;

    /** 单日成本 */
    @Excel(name = "单日成本")
    private BigDecimal dayCost;

    public void setDeviceId(Integer deviceId)
    {
        this.deviceId = deviceId;
    }

    public Integer getDeviceId()
    {
        return deviceId;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setAcquisitionTime(Date acquisitionTime) 
    {
        this.acquisitionTime = acquisitionTime;
    }

    public Date getAcquisitionTime() 
    {
        return acquisitionTime;
    }
    public void setCost(BigDecimal cost) 
    {
        this.cost = cost;
    }

    public BigDecimal getCost() 
    {
        return cost;
    }
    public void setExpectLife(Integer expectLife) 
    {
        this.expectLife = expectLife;
    }

    public Integer getExpectLife() 
    {
        return expectLife;
    }
    public void setSeries(String series) 
    {
        this.series = series;
    }

    public String getSeries() 
    {
        return series;
    }
    public void setDayCost(BigDecimal dayCost)
    {
        this.dayCost = dayCost;
    }

    public BigDecimal getDayCost()
    {
        return dayCost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("code", getCode())
            .append("type", getType())
            .append("acquisitionTime", getAcquisitionTime())
            .append("cost", getCost())
            .append("expectLife", getExpectLife())
            .append("series", getSeries())
            .append("dayCost", getDayCost())
            .toString();
    }
}
